Tools used by OpenStack Documentation
Вы не можете выбрать более 25 тем Темы должны начинаться с буквы или цифры, могут содержать дефисы(-) и должны содержать не более 35 символов.
Zuul 2b275421b0 Merge "Remove openstack-jsoncheck and openstack-indexpage" 4 недель назад
bin Cleanup doc-tools-check-languages 1 месяц назад
doc/source Merge "Remove some commented obsolete lines" 1 месяц назад
os_doc_tools Remove openstack-jsoncheck and openstack-indexpage 4 недель назад
releasenotes Remove openstack-jsoncheck and openstack-indexpage 4 недель назад
sitemap Update docs building 1 месяц назад
test Remove openstack-jsoncheck and openstack-indexpage 4 недель назад
.gitignore Switch to stestr 1 год назад
.gitreview OpenDev Migration Patch 5 месяцев назад
.mailmap Add .mailmap 5 лет назад
.stestr.conf Switch to stestr 1 год назад
.zuul.yaml Add Python 3 Train unit tests 2 месяцев назад
CONTRIBUTING.rst Note to add 'jinja2' and 'markupsafe' to requirements 3 лет назад
HACKING.rst Fix URLs 2 лет назад
LICENSE Add LICENSE and README.rst 5 лет назад
README.rst Replace git.openstack.org URLs with opendev.org URLs 4 месяцев назад
RELEASE_NOTES.rst Fix URLs 2 лет назад
bindep.txt add lower-constraints job 1 год назад
lower-constraints.txt Update docs building 1 месяц назад
requirements.txt Update docs building 1 месяц назад
setup.cfg Remove openstack-jsoncheck and openstack-indexpage 4 недель назад
setup.py Updated from global requirements 2 лет назад
test-requirements.txt Update docs building 1 месяц назад
tox.ini Update docs building 1 месяц назад

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev